#ifndef MD_LCD_H
#define MD_LCD_H

class LiquidCrystal_I2C;
class CVDILcd
{
public:
	enum CustomChars{standard=0, big=1};	

public:
	CVDILcd(LiquidCrystal_I2C* lcd);
	void reset();
	void updateVDI(int style, int phase, int strength, unsigned char signalValues[40], bool badReading);	
	void updateBattGui();
	void lcdGraph(int row, int column, unsigned char data[40]);

private:
	void custom0(int x);
	void custom1(int x);
	void custom2(int x);
	void custom3(int x);
	void custom4(int x);
	void custom5(int x);
	void custom6(int x);
	void custom7(int x);
	void custom8(int x);
	void custom9(int x);
	void createBigNumCustomChars();
	void bigMinus(int x);
	void bigNumber(int x, int n);
	void paintBigNumVDI(int phase, int strength, unsigned char signalValues[40], bool badReading);
	void paintStandardVDI(int phase, int strength, unsigned char signalValues[40], bool badReading);

private:
	LiquidCrystal_I2C* m_lcd;
	int m_currentVDIStyle;
};

#endif

